#include <stdio.h>
#include <string.h>
#include "utils.h"
extern Context * loadcline(int, char **);
extern Context * loadmotif(int, char **);
extern Context * loadxview(int, char **);

int main(int argc, char **argv)
{
	int rtn = 1;
	BookmarkList * list;
	Context *con;
	Context * (*loadfunc)(int, char **) = NULL;
	Context * (*defloadfunc)(int, char **) = NULL;
#ifdef MDEBUG	
	malloc_debug(2);
#endif	
	init();
	if (0)
		;
#ifdef XVIEW
	else if (defloadfunc = loadxview, strstr(argv[0], "xvbible") != NULL)
		loadfunc = loadxview;
#endif
#ifdef MOTIF
	else if (defloadfunc = loadmotif, strstr(argv[0], "xmbible") != NULL)
		loadfunc = loadmotif;
#endif
#ifdef CLINE
	else if (defloadfunc = loadcline, strstr(argv[0], "cbible") != NULL)
		loadfunc = loadcline;
#endif
	if (loadfunc == NULL)
		loadfunc = defloadfunc;
	if (loadfunc == NULL)
		{
		fprintf(stderr, "No interfaces compiled into binary");
		exit(1);
		}
	con = (Context *)loadfunc(argc, argv);
	if (con != NULL)
		rtn = con->run(con);
	return rtn;
}
